<?php

require_once 'custom/PxRoutines/LogicBuilderPackages/lb6038ea32798897_77942078/helpers/rest/RestHelper_lb6038ea32798897_77942078.php';

class OAuth2AuthHelper_lb6038ea32798897_77942078{

    protected $url;
    protected $method;
    protected $headers;
    protected $parameters;

    protected $authResponse;
    protected $token;

    public function __construct(){

    }

    public function setUrl($url){
        $this->url = $url;
    }

    public function setMethod($method){
        $this->method = $method;
    }

    public function setHeaders($headers){
        $this->headers = $headers;
    }

    public function setParameters($parameters){
        $this->parameters = $parameters;
    }

    public function authenticate($params){
        $proxy = !empty($params['proxy']) ? $params['proxy'] : array();
        $response = RestHelper_lb6038ea32798897_77942078::call(
            $this->url,
            $this->method,
            $this->headers,
            $this->parameters,
            $proxy
        );

        if(isset($response['result'])){
            if(!empty($response['info']['content_type']) && $response['info']['content_type'] == 'application/json'){
                $responseResult = json_decode($response['result'], true);
                if(json_last_error() == JSON_ERROR_NONE && !empty($responseResult['access_token'])){
                    $this->token = $responseResult['access_token'];
                }
            }
        }

        $GLOBALS['log']->fatal('AUTH RESPONSE: ' . print_r($response, true));
        return !empty($response['info']['http_code']) ? $response['info']['http_code'] : '';
    }

    public function getToken(){
        return $this->token;
    }

}
