<?php
$operatorMeta = array(
    'operators' => array(
        'op-1' => array(
            'id' => 'op-1',
            'type' => 'OnDataChangeOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Opportunities',
                                    ),
                'eventType' => array(
                    'id' => 'eventType',
                                        'value' => 'before_save',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Opportunities',
                                    ),
                'previousEntityState' => array(
                    'id' => 'previousEntityState',
                                        'value' => 'Opportunities',
                                    ),
                'isNewRecord' => array(
                    'id' => 'isNewRecord',
                                        'value' => '',
                                    ),
                'changedFields' => array(
                    'id' => 'changedFields',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-2' => array(
            'id' => 'op-2',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Opportunities',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'currency_id',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-3' => array(
            'id' => 'op-3',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Opportunities',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'currency_id',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-4' => array(
            'id' => 'op-4',
            'type' => 'NotEqualOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                    ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-5' => array(
            'id' => 'op-5',
            'type' => 'BranchOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlowIfTrue' => array(
                    'id' => 'controlFlowIfTrue'
                ),
                'controlFlowIfFalse' => array(
                    'id' => 'controlFlowIfFalse'
                ),
            ),
            'inDataPorts' => array(
                'condition' => array(
                    'id' => 'condition',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
            ),
        ),
        'op-8' => array(
            'id' => 'op-8',
            'type' => 'SetEntityAttributesOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Opportunities',
                                    ),
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'currency_symbol_c',
                                        'section' => 'fields',
                ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Opportunities',
                                    ),
            ),
        ),
        'op-9' => array(
            'id' => 'op-9',
            'type' => 'RetrieveEntityOperator',
            'inControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'outControlPorts' => array(
                'controlFlow' => array(
                    'id' => 'controlFlow'
                ),
            ),
            'inDataPorts' => array(
                'module' => array(
                    'id' => 'module',
                                        'value' => 'Currencies',
                                    ),
                'id' => array(
                    'id' => 'id',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Currencies',
                                    ),
            ),
        ),
        'op-10' => array(
            'id' => 'op-10',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Currencies',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'iso4217',
                                        'section' => 'fields',
                ),
            ),
        ),
        'op-11' => array(
            'id' => 'op-11',
            'type' => 'OrOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                        'section' => 'operand',
                ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-12' => array(
            'id' => 'op-12',
            'type' => 'IsEmptyOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'value' => array(
                    'id' => 'value',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-13' => array(
            'id' => 'op-13',
            'type' => 'NotOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand' => array(
                    'id' => 'operand',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-14' => array(
            'id' => 'op-14',
            'type' => 'AndOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'operand1' => array(
                    'id' => 'operand1',
                                        'value' => '',
                                        'section' => 'operand',
                ),
                'operand2' => array(
                    'id' => 'operand2',
                                        'value' => '',
                                        'section' => 'operand',
                ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-15' => array(
            'id' => 'op-15',
            'type' => 'IsEmptyOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'value' => array(
                    'id' => 'value',
                                        'value' => '',
                                    ),
            ),
            'outDataPorts' => array(
                'result' => array(
                    'id' => 'result',
                                        'value' => '',
                                    ),
            ),
        ),
        'op-16' => array(
            'id' => 'op-16',
            'type' => 'GetEntityAttributesOperator',
            'inControlPorts' => array(
            ),
            'outControlPorts' => array(
            ),
            'inDataPorts' => array(
                'entity' => array(
                    'id' => 'entity',
                                        'value' => 'Opportunities',
                                    ),
            ),
            'outDataPorts' => array(
                'fields0' => array(
                    'id' => 'fields0',
                                        'value' => 'currency_symbol',
                                        'section' => 'fields',
                ),
            ),
        ),
    ),
    'links' => array(
        'link-1' => array(
            'from' => 'op-1entity',
            'fromOperator' => 'op-1',
            'fromConnector' => 'entity',
            'to' => 'op-2entity',
            'toOperator' => 'op-2',
            'toConnector' => 'entity'
        ),
        'link-2' => array(
            'from' => 'op-1previousEntityState',
            'fromOperator' => 'op-1',
            'fromConnector' => 'previousEntityState',
            'to' => 'op-3entity',
            'toOperator' => 'op-3',
            'toConnector' => 'entity'
        ),
        'link-3' => array(
            'from' => 'op-2fields0',
            'fromOperator' => 'op-2',
            'fromConnector' => 'fields0',
            'to' => 'op-4operand1',
            'toOperator' => 'op-4',
            'toConnector' => 'operand1'
        ),
        'link-4' => array(
            'from' => 'op-3fields0',
            'fromOperator' => 'op-3',
            'fromConnector' => 'fields0',
            'to' => 'op-4operand2',
            'toOperator' => 'op-4',
            'toConnector' => 'operand2'
        ),
        'link-10' => array(
            'from' => 'op-2fields0',
            'fromOperator' => 'op-2',
            'fromConnector' => 'fields0',
            'to' => 'op-9id',
            'toOperator' => 'op-9',
            'toConnector' => 'id'
        ),
        'link-11' => array(
            'from' => 'op-9entity',
            'fromOperator' => 'op-9',
            'fromConnector' => 'entity',
            'to' => 'op-10entity',
            'toOperator' => 'op-10',
            'toConnector' => 'entity'
        ),
        'link-12' => array(
            'from' => 'op-1entity',
            'fromOperator' => 'op-1',
            'fromConnector' => 'entity',
            'to' => 'op-8entity',
            'toOperator' => 'op-8',
            'toConnector' => 'entity'
        ),
        'link-13' => array(
            'from' => 'op-9controlFlow',
            'fromOperator' => 'op-9',
            'fromConnector' => 'controlFlow',
            'to' => 'op-8controlFlow',
            'toOperator' => 'op-8',
            'toConnector' => 'controlFlow'
        ),
        'link-14' => array(
            'from' => 'op-10fields0',
            'fromOperator' => 'op-10',
            'fromConnector' => 'fields0',
            'to' => 'op-8fields0',
            'toOperator' => 'op-8',
            'toConnector' => 'fields0'
        ),
        'link-15' => array(
            'from' => 'op-4result',
            'fromOperator' => 'op-4',
            'fromConnector' => 'result',
            'to' => 'op-11operand1',
            'toOperator' => 'op-11',
            'toConnector' => 'operand1'
        ),
        'link-16' => array(
            'from' => 'op-11result',
            'fromOperator' => 'op-11',
            'fromConnector' => 'result',
            'to' => 'op-5condition',
            'toOperator' => 'op-5',
            'toConnector' => 'condition'
        ),
        'link-17' => array(
            'from' => 'op-12result',
            'fromOperator' => 'op-12',
            'fromConnector' => 'result',
            'to' => 'op-13operand',
            'toOperator' => 'op-13',
            'toConnector' => 'operand'
        ),
        'link-18' => array(
            'from' => 'op-13result',
            'fromOperator' => 'op-13',
            'fromConnector' => 'result',
            'to' => 'op-14operand1',
            'toOperator' => 'op-14',
            'toConnector' => 'operand1'
        ),
        'link-19' => array(
            'from' => 'op-15result',
            'fromOperator' => 'op-15',
            'fromConnector' => 'result',
            'to' => 'op-14operand2',
            'toOperator' => 'op-14',
            'toConnector' => 'operand2'
        ),
        'link-20' => array(
            'from' => 'op-14result',
            'fromOperator' => 'op-14',
            'fromConnector' => 'result',
            'to' => 'op-11operand2',
            'toOperator' => 'op-11',
            'toConnector' => 'operand2'
        ),
        'link-21' => array(
            'from' => 'op-2fields0',
            'fromOperator' => 'op-2',
            'fromConnector' => 'fields0',
            'to' => 'op-12value',
            'toOperator' => 'op-12',
            'toConnector' => 'value'
        ),
        'link-22' => array(
            'from' => 'op-1entity',
            'fromOperator' => 'op-1',
            'fromConnector' => 'entity',
            'to' => 'op-16entity',
            'toOperator' => 'op-16',
            'toConnector' => 'entity'
        ),
        'link-23' => array(
            'from' => 'op-16fields0',
            'fromOperator' => 'op-16',
            'fromConnector' => 'fields0',
            'to' => 'op-15value',
            'toOperator' => 'op-15',
            'toConnector' => 'value'
        ),
        'link-31' => array(
            'from' => 'op-1controlFlow',
            'fromOperator' => 'op-1',
            'fromConnector' => 'controlFlow',
            'to' => 'op-5controlFlow',
            'toOperator' => 'op-5',
            'toConnector' => 'controlFlow'
        ),
        'link-37' => array(
            'from' => 'op-5controlFlowIfTrue',
            'fromOperator' => 'op-5',
            'fromConnector' => 'controlFlowIfTrue',
            'to' => 'op-9controlFlow',
            'toOperator' => 'op-9',
            'toConnector' => 'controlFlow'
        ),
    )
);
