<?php

require_once 'custom/PxRoutines/LogicBuilderPackages/lb6038ea32798897_77942078/operators/FlowchartOperator_lb6038ea32798897_77942078.php';

class RetrieveEntityOperator_lb6038ea32798897_77942078 extends FlowchartOperator_lb6038ea32798897_77942078{

    protected $entityName;
    protected $entityId;

    protected $entity;

    public function __construct($params){
        parent::__construct($params);
    }

    public function setInDataPorts($params){
        $this->entityName = $params['inDataPorts']['module']['value'];
        $this->entityId = $params['inDataPorts']['id']['value'];

        $this->inDataPorts = array();
        foreach($params['inDataPorts'] as $portId => $param){
            $this->inDataPorts[$portId] = array('id' => $portId);
        }
    }

    public function setInDataPortById($id, $value){
        if($id == 'module')
            $this->entityName = $value;
        else if($id == 'id')
            $this->entityId = $value;
        else if(!empty($this->inDataPorts[$id]))
            $this->inDataPorts[$id]['value'] = $value;
    }

    public function process($params = array()){
        if(!empty($this->entityName) && !empty($this->entityId))
            $this->entity = BeanFactory::getBean($this->entityName, $this->entityId, array('strict_retrieve' => true, 'use_cache' => false));
    }

    public function getOutDataByPortId($portId){
        return $this->entity;
    }

}
